package com.engine.salary.mapper.formula;

import com.engine.salary.entity.salaryformula.po.FormulaPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Date;
import java.util.List;

public interface FormulaMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<FormulaPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<FormulaPO> listSome(FormulaPO formula);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	FormulaPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param formula 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(FormulaPO formula);
	
	
	/**
     * 修改，忽略null字段
     *
     * @param formula 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(FormulaPO formula);
	
	/**
     * 删除记录
     *
     * @param formula 待删除的记录
     * @return 返回影响行数
     */
	int delete(FormulaPO formula);

	List<FormulaPO> listByIds(@Param("ids")Collection<Long> ids);

    void deleteIn(@Param("ids")List<Long> ids,@Param("yesterday") Date yesterday);
}